<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>OTP Verification</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
    <form id="otpForm" action="submit_form.php" method="post">
        <label for="phone_number">Enter Phone Number:</label>
        <input type="text" id="phone_number" name="phone_number" required><br><br>
        
        <button type="button" id="sendOtpBtn">Send OTP</button><br><br>

        <div id="otpSection" style="display:none;">
            <label for="otp">Enter OTP:</label>
            <input type="text" id="otp" name="otp" required>
            <button type="button" id="verifyOtpBtn">Verify OTP</button><br><br>
            <span id="otpMessage"></span>
        </div>

        <div id="submitSection" style="display:none;">
            <button type="submit">Submit Form</button>
        </div>
    </form>

    <script>
        $(document).ready(function() {
            $('#sendOtpBtn').click(function() {
                var phoneNumber = $('#phone_number').val();

                $.post('send_otp.php', { phone_number: phoneNumber }, function(response) {
                    if (response === 'success') {
                        alert('OTP sent to ' + phoneNumber);
                        $('#otpSection').show();
                    } else {
                        alert('Failed to send OTP. Please try again.');
                    }
                });
            });

            $('#verifyOtpBtn').click(function() {
                var otp = $('#otp').val();

                $.post('check_otp.php', { otp: otp }, function(response) {
                    if (response === 'success') {
                        $('#otpMessage').text('OTP verified successfully!').css('color', 'green');
                        $('#submitSection').show();
                        $('#otpSection').hide();
                    } else {
                        $('#otpMessage').text('Invalid OTP. Please try again.').css('color', 'red');
                    }
                });
            });
        });
    </script>
</body>
</html>